Package org.codehaus.groovy.ast.tools

# Class ParameterUtils

java.lang.Object
org.codehaus.groovy.ast.tools.ParameterUtils

public class ParameterUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParameterUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isVargs(Parameter[] parameters)`
  `static boolean`
  `parametersCompatible(Parameter[] source, Parameter[] target)`
  Checks compatibility of parameter arrays.
  `static boolean`
  `parametersEqual(Parameter[] a, Parameter[] b)`
  `static boolean`
  `parametersEqualWithWrapperType(Parameter[] a, Parameter[] b)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParameterUtils

    public ParameterUtils()

- ## Method Details

  - ### isVargs

    public static boolean isVargs(Parameter[] parameters)
    Since:
      4.0.4

  - ### parametersEqual

    public static boolean parametersEqual(Parameter[] a, Parameter[] b)
    Since:
      2.5.0

  - ### parametersEqualWithWrapperType

    public static boolean parametersEqualWithWrapperType(Parameter[] a, Parameter[] b)
    Since:
      3.0.0

  - ### parametersCompatible

    public static boolean parametersCompatible(Parameter[] source, Parameter[] target)
    Checks compatibility of parameter arrays. Each parameter should match the following condition: `sourceType.isAssignableTo(targetType)`
    Since:
      3.0.0